"use strict";
exports.__esModule = true;
var __1 = require("..");
var test_util_1 = require("../test.util");
var generator_nej_injects_1 = require("./generator-nej-injects");
describe('generatorNejInjects', function () {
    it('generatorNejInjects is function', function () {
        expect(generator_nej_injects_1.generatorNejInjects).toBeInstanceOf(Function);
    });
    it('验证变量注入', function () {
        var nejInjects = [
            { alias: '_p', type: __1.NejInjectType.object },
            { alias: '_o', type: __1.NejInjectType.object },
            { alias: '_f', type: __1.NejInjectType["function"] },
            { alias: '_r', type: __1.NejInjectType.array }
        ];
        test_util_1.expectCodeEqual(test_util_1.generatorCode(generator_nej_injects_1.generatorNejInjects(nejInjects)), "\n            var _p = {};\n            var _o = {};\n            var _f = function () {};\n            var _r = [];   \n        ");
    });
});
//# sourceMappingURL=generator-nej-injects.spec.js.map