"use strict";
exports.__esModule = true;
var types = require("@babel/types");
function generatorNejDependencies(dependencies) {
    return dependencies.map(function (_a) {
        var source = _a.source, name = _a.name, moduleType = _a.moduleType;
        var specifiers;
        if (moduleType === 'javascript') {
            specifiers = [types.importDefaultSpecifier(types.identifier(name))];
        }
        else {
            specifiers = [types.importNamespaceSpecifier(types.identifier(name))];
        }
        return types.importDeclaration(specifiers, types.stringLiteral(source));
    });
}
exports.generatorNejDependencies = generatorNejDependencies;
//# sourceMappingURL=generator-nej-dependencies.js.map