"use strict";
exports.__esModule = true;
var types = require("@babel/types");
function transformReturnToExport(fnBody, nejInject) {
    var lastStatement = fnBody[fnBody.length - 1];
    if (types.isReturnStatement(lastStatement)) {
        fnBody[fnBody.length - 1] = types.exportDefaultDeclaration(lastStatement.argument);
    }
    else if (nejInject.length) { // 没有导出时, 并且通过nej注入了 _p, 则默认抛出 _p
        fnBody.push(types.exportDefaultDeclaration(types.identifier(nejInject[0].alias)));
    }
    return fnBody;
}
exports.transformReturnToExport = transformReturnToExport;
//# sourceMappingURL=transform-return-to-export.js.map